Skip to navigation

Update a worklist

Beta
Update a worklist

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

worklist_idstringRequired
ID of the worklist

Request

This endpoint expects an object.
namestringOptional
Name of the worklist
worklistItemIdslist of stringsOptional
An ordered set of IDs to assign as worklist items. IDs should reference existing items which fit the worklist's specific type. For instance, a worklist of type container should only have item IDs which represent containers. Replaces any existing worklist items with this set.

Response

OK
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Worklist in the API.
createdAtdatetimeOptionalRead-only
Date and time the worklist was created
creatorobjectOptional
UserSummary of the user who created the worklist
idstringOptionalRead-only
ID of the worklist
modifiedAtdatetimeOptionalRead-only
Date and time the worklist was last modified
namestringOptional
Name of the worklist
typeenumOptional
The type of items a worklist contains.
Allowed values:
worklistItemslist of objectsOptional

Errors

400
Bad Request Error